Prs3d_Presentation rotation

hi
i want to rotate..prs3d_presentation
i am using following method.
i dont know whats going wrong...it does not have any effect on presentation...

Handle(Geom_Transformation) thTransform = hPres->Transformation();

thTransform->SetRotation(Axis,90*PI/180);

hPres->Transform(thTransform);

hPres is Handle(Prs3d_Presentation)

thanks..in advance..for any help.
ajit

Shawn Yang's picture

Hi:
I have done something; but, not use prs3d_presentation. Just to be reference.
gp_Trsf theTransformation;
gp_Ax1 axe;
gp_Vec aVec;
gp_Dir aDir;
theTransformation.SetRotation(axe,m_ANGLE*PI/180);
BRepBuilderAPI_Transform myBRepTransformation(aShape,theTransformation);
TopoDS_Shape S2 = myBRepTransformation.Shape();
Handle(AIS_Shape) ais2 = new AIS_Shape(S2);

Shawn